Bug 1294509 - [RFE] Supported method for adding additional Masters hosts to HA environment
[RFE] Supported method for adding additional Masters hosts to HA environment
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity urgent
: ---
: ---
Assigned To: Brenton Leanhardt
Johnny Liu
:
Depends On:
Blocks: 1267746 1339502
  Show dependency treegraph
 
Reported: 2015-12-28 10:58 EST by Ryan Howe
Modified: 2016-09-27 11:16 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-12 10:36:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Howe 2015-12-28 10:58:21 EST
- Proposed title of this feature request  
Supported method for adding additional Masters and ECTD  hosts to HA environment
            
- What is the nature and description of the request?  
 
As users are implementing Openshift 3.1 in production they are looking for a supported solution to add additional Masters and ectd hosts to an existing HA environment. 
     
- Why does the customer need this? (List the business requirements here)  
 
    1. Ability to scale up their environment if the need arises. 
    2. Disaster recovery, re-deploy or add new master or ectd host back in environment  
      
- How would the customer like to achieve this? (List the functional requirements here)  
      
 1. Ansible playbook
     -Rerunning the same installer starting playbook (not preferred) 
     -Separate starting playbook called to add Master, ectd, node, or update configuration. 
     
 2. Supported documented steps adding masters and etcd hosts to environment for native HA and pacemaker 


- Is there already an existing RFE upstream or in Red Hat Bugzilla?  
Unknown   
    
- Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  

As soon as possible. 

- Would the customer be able to assist in testing this functionality if implemented?  

Yes
Comment 13 Scott Dodson 2016-09-27 11:16:15 EDT
Related bug specific to etcd https://bugzilla.redhat.com/show_bug.cgi?id=1349712

Note You need to log in before you can comment on or make changes to this bug.